package com.cmvr.evaluation.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.cmvr.evaluation.model.domain.AeEvaluation;

import java.util.List;

public interface IAeEvaluationService extends IService<AeEvaluation> {

    /**
     * 执行语音交互评估
     */
    public void executeEvaluation(AeEvaluation evaluation);

    public void runEvaluation(AeEvaluation evaluation);

    List<AeEvaluation> queryEvaluation(String instId);

    public List<AeEvaluation> queryEvaluationByProjectId(String projectId);

    /**
     * 判断当前项目是否已完成全部评估
     */
    public boolean isAllEvaluationsFinished(String instId);
}
